local addon_name = ...

local GetCVar = GetCVar
local SetCVar = SetCVar
local RestartGx = RestartGx

-- Ensure that Base1, Base2, BaseN (N - number of slash aliases to same function) are not taken by any other functions/commands.
-- If that fails, try adding random suffix to base up to max suffix length.
local a_byte, z_byte = string.byte('a'), string.byte('z')
local function UniqSlashID(base, max_commands)
   local clear = true
   for length = 0, 3 do
      for idx = 1, max_commands do
         if _G["SLASH_" .. base .. idx] then clear = false break end
      end
      if SlashCmdList[base] then clear = false end
      if clear then return base end
      base = base .. string.char(math.random(a_byte, z_byte))
   end
end

local slash_id = UniqSlashID(gsub(addon_name, " ", ""), 1)
SlashCmdList[slash_id] = function()
   local prev = GetCVar("gxMonitor")
   SetCVar("gxMonitor", prev == "0" and "1" or "0")
   RestartGx()
end
_G["SLASH_" .. slash_id .. "1"] = "/zz"